org.apache.ignite.internal.processors.odbc.jdbc

## Class JdbcCachePartitionsResult

- java.lang.Object
- - org.apache.ignite.internal.processors.odbc.jdbc.JdbcResult
  - - org.apache.ignite.internal.processors.odbc.jdbc.JdbcCachePartitionsResult

All Implemented Interfaces:
  JdbcRawBinarylizable

    public class JdbcCachePartitionsResult
    extends JdbcResult

Jdbc thin partiton result that contains partition mappings.

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.odbc.jdbc.JdbcResult

`BATCH_EXEC`

### Constructor Summary

Constructors
Constructor and Description
`JdbcCachePartitionsResult()` Default constructor.
`JdbcCachePartitionsResult(List<JdbcThinPartitionAwarenessMappingGroup> mappings)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`List<JdbcThinPartitionAwarenessMappingGroup>` `getMappings()`
`void` `readBinary(BinaryReaderExImpl reader, JdbcProtocolContext protoCtx)` Reads fields from provided reader.
`String` `toString()`
`void` `writeBinary(BinaryWriterExImpl writer, JdbcProtocolContext protoCtx)` Writes fields to provided writer.

### Methods inherited from class org.apache.ignite.internal.processors.odbc.jdbc.JdbcResult

`readResult`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### JdbcCachePartitionsResult

    public JdbcCachePartitionsResult()

Default constructor.

#### JdbcCachePartitionsResult

    public JdbcCachePartitionsResult(List<JdbcThinPartitionAwarenessMappingGroup> mappings)

Constructor.

Parameters:
  `mappings` - Partitions mappings.

### Method Detail

#### getMappings

    public List<JdbcThinPartitionAwarenessMappingGroup> getMappings()

Returns:
  Partitons mappings.

#### writeBinary

    public void writeBinary(BinaryWriterExImpl writer,
                            JdbcProtocolContext protoCtx)
                     throws BinaryObjectException

Writes fields to provided writer.

Specified by:
  `writeBinary` in interface `JdbcRawBinarylizable`
Overrides:
  `writeBinary` in class `JdbcResult`
Parameters:
  `writer` - Binary object writer.
  `protoCtx` - JDBC protocol context.
Throws:
  `BinaryObjectException` - In case of error.

#### readBinary

    public void readBinary(BinaryReaderExImpl reader,
                           JdbcProtocolContext protoCtx)
                    throws BinaryObjectException

Reads fields from provided reader.

Specified by:
  `readBinary` in interface `JdbcRawBinarylizable`
Overrides:
  `readBinary` in class `JdbcResult`
Parameters:
  `reader` - Binary object reader.
  `protoCtx` - JDBC protocol context.
Throws:
  `BinaryObjectException` - In case of error.

#### toString

    public String toString()

Overrides:
  `toString` in class `JdbcResult`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.0
Release Date | : September 11 2021